#ifndef _EXPERT_H_
#define _EXPERT_H_ 1
#include <lilo.h>
#include <qwidget.h>
#include <qmultilineedit.h>
#include <qlayout.h>
class Expert:public QWidget
{
	Q_OBJECT
public:
	Expert(liloconf *l=0, QWidget *parent=0, const char *name=0);
	~Expert();
	void setCfg(liloconf *l) { lilo=l; };
    void makeReadOnly();
public slots:
	void update();
	void saveChanges();
signals:
	void configChanged();
private:
	liloconf	*lilo;
	QHBoxLayout	*layout;
	QMultiLineEdit	*edit;
};
#endif
